Skip to main content
POST
Add a record to a pipeline

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

project
string
required

Path Parameters

pipelineId
string
required

Body

application/json
recordId
string
required

Gleap id of the record to add, matching the pipeline's recordType: a company's _id (see GET /companies) or a contact's id. Not your own external companyId / userId.

laneId
string

Stage to add the entry to — a lane id from the pipeline's lanes. Defaults to the pipeline's first stage.

values
any

Initial field values, keyed by the pipeline's field fieldIds (see GET /pipelines/{pipelineId}/properties). Primitive values only.

Response

200 - application/json

Ok

Generic types for Document:

  • T - the type of _id
  • TQueryHelpers - Object with any helpers that should be mixed into the Query type
  • DocType - the type of the actual Document created
updatedAt
string
required
createdAt
string
required
recordId
object
required
recordType
enum<string>
required
Available options:
COMPANY,
CONTACT
pipeline
object
required
project
object
required
values
any
required
_id
string
required
laneChangedAt
string<date-time>
recordSnapshot
object
laneId
string
lexorank
string
createdBy
object